### Property

# Gtk Entry:primary-icon-sensitive

#### Declaration

    property primary-icon-sensitive: gboolean [ read, write ]

#### Description [src]

Whether the primary icon is sensitive.

An insensitive icon appears grayed out. GTK does not emit the `GtkEntry::icon-press` and `GtkEntry::icon-release` signals and does not allow DND from insensitive icons.

An icon should be set insensitive if the action that would trigger when clicked is currently not available.

Type: | `gboolean`

Default value | TRUE

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no